Межсайтовый скриптинг в MyBB

Дата публикации:
17.03.2006
Дата изменения:
24.03.2009
Всего просмотров:
1419
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-1272
CVE-2006-1281
CVE-2006-1282
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
MyBB (formerly MyBulletinBoard) 1.x
Уязвимые версии: MyBB 1.10 и более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "url" сценария "member.php". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

http://[victim]/member.php?action=do_login&username=[valid
username]&password=[valid password]&url=[code]

URL производителя: www.mybboard.com

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
24.03.2009
Изменена секция "Решение"

Ссылки: MyBB1.0.4~member.php~XSS after login

или введите имя

CAPTCHA